#
#        Makefile for Texts (Aztec C v5.2a)
#
# Macros
#
#DEFINES    =-dMWDEBUG
DEFINES    =
CFLAGS_PRE =-a -ms -pacs0t -so -wdelopqw -ho ram:texts.pre
CFLAGS_TEST=$(DEFINES) -ms -pacs0t -so -wdelopqw -hi ram:texts.pre
CFLAGS_LIB =$(DEFINES) -msb -pacs0t -so -wdelopqw -hi ram:texts.pre
LFLAGS     =-m +q
INCLUDES   =/render/render.h /language/language.h texts.h
OBJECTS    =texts.o texts_test.o /render/render.o /borders/borders.o\
 /gadgets/gadgets1.o /gadgets/gadgets2.o /gadgets/gadgets3.o\
 /gadgets/gadgets4.o /requester/requester.o /files/files.o\
 /language/language.o /pointer/pointer.o
#LIBRARIES  =-lmemwatch16 -lc16
LIBRARIES  =-lc16
#
# Dependancy entries
#
all: ram:texts.pre texts_test clear
#
ram:texts.pre: texts.pre
   copy texts.pre $@ clone
#
texts.pre: includes.h
   cc $(CFLAGS_PRE) -o nil: includes.h
   copy ram:texts.pre $@ clone
#
texts_test: $(OBJECTS)
   ln $(LFLAGS) -o $@ $(OBJECTS) $(LIBRARIES)
#
texts_test.o: texts_test.c $(INCLUDES)
   cc $(CFLAGS_TEST) -o $@ $*.c
#
texts.o: texts.c $(INCLUDES)
   cc $(CFLAGS_LIB) -o $@ $*.c
#
clear:
   delete ram:#?.pre
#
